<?php
/**
 * Twitter
 *
 * @package um_ext\um_social_login\core
 */

/**
 * Clear Last name
 *
 * Twitter has no last name
 *
 * @param object $user_profile User Profile object.
 */
function um_social_login_get_user_profile__twitter( $user_profile ) {

	$user_profile->lastName = ''; //phpcs:ignore

	return $user_profile;
}
add_filter( 'um_social_login_get_user_profile__twitter', 'um_social_login_get_user_profile__twitter', 10 );
